%global with_python3 1

Name:           python-optcomplete
Version:        1.2
Release:        0.14.20130428hg9583af7%{?dist}
Summary:        Shell Completion Self-Generator for Python

License:        BSD
URL:            http://furius.ca/optcomplete
# hg clone --insecure https://hg.furius.ca/public/optcomplete
# cd optcomplete
# hg archive -p python-optcomplete-1.2 ../python-optcomplete-1.2
Source0:        %{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel

%description
This Python module aims at providing almost automatically shell completion
BuildRequires:  python2-devel


%package -n python2-optcomplete
Summary:        Shell Completion Self-Generator for Python 2
%{?python_provide:%python_provide python2-optcomplete}

%description -n python2-optcomplete
This Python 2 module aims at providing almost automatically shell completion
for any Python program that already uses the optparse module.


%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-optcomplete
Summary:        Shell Completion Self-Generator for Python 3
BuildRequires:  python%{python3_pkgversion}-devel
# For 2to3
BuildRequires:  python-tools
%{?python_provide:%python_provide python%{python3_pkgversion}-optcomplete}

%description -n python%{python3_pkgversion}-optcomplete
This Python 3 module aims at providing almost automatically shell completion
for any Python program that already uses the optparse module.
%endif # if with_python3


%prep
%setup -q

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
2to3 --write --nobackups %{py3dir}
%endif # with_python3


%build
%py2_build

%if 0%{?with_python3}
pushd %{py3dir}
%py3_build
popd
%endif # with_python3


%install
# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%py3_install
popd
%endif # with_python3

%py2_install


%files -n python2-optcomplete
%license COPYING
%doc CHANGES CREDITS doc/*.txt README TODO
%{python_sitelib}/*

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-optcomplete
%license COPYING
%doc CHANGES CREDITS doc/*.txt README TODO
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/*.py
%{python3_sitelib}/__pycache__/*
%endif # with_python3


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-0.14.20130428hg9583af7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-0.13.20130428hg9583af7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.2-0.12.20130428hg9583af7
- Rebuild for Python 3.6

* Wed Nov 16 2016 Orion Poplawski <orion@cora.nwra.com> - 1.2-0.11.20130428hg9583af7
- Modernize spec

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-0.10.20130428hg9583af7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-0.9.20130428hg9583af7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-0.8.20130428hg9583af7
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-0.7.20130428hg9583af7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-0.6.20130428hg9583af7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 02 2014 Orion Poplawski <orion@cora.nwra.com> - 1.2-0.5.20130428hg9583af7
- Rebuild for Python 3.4

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-0.4.20130428hg9583af7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Apr 28 2013 Orion Poplawski <orion@cora.nwra.com> - 1.2-0.3.20130428hg9583af7
- Update to latest hg version
- Re-add COPYING

* Sat Apr 27 2013 Orion Poplawski <orion@cora.nwra.com> - 1.2-0.2.20130406hg4416852
- Drop COPYING - wrong license

* Sun Apr 7 2013 Orion Poplawski <orion@cora.nwra.com> - 1.2-0.1.20130406hg4416852
- Initial Fedora package
